unit U_AutoTraceType;

interface

uses
  Windows, U_LNG, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, cxLookAndFeelPainters, cxControls, cxContainer, cxEdit, cxLabel,
  StdCtrls, cxButtons, cxRadioGroup, ExtCtrls, RzPanel, siComp, siLngLnk,
  cxGraphics, cxLookAndFeels, Menus;

type
  TF_AutoTraceType = class(TForm)
    bOK: TcxButton;
    bCancel: TcxButton;
    RzGroupBox1: TRzGroupBox;
    rbTraceBySelected: TcxRadioButton;
    rbTraceByAll: TcxRadioButton;
    lng_Forms: TsiLangLinked;
    PanelAutoTraceType: TPanel;
    Panel1: TPanel;
    Label1: TLabel;
    cxRadioButton1: TcxRadioButton;
    cxRadioButton2: TcxRadioButton;
    procedure bCancelClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  F_AutoTraceType: TF_AutoTraceType;

implementation
uses U_Common, U_BaseCommon;
{$R *.dfm}

procedure TF_AutoTraceType.bCancelClick(Sender: TObject);
begin
  Close;
end;
//Tolik 27/09/2021 --
procedure TF_AutoTraceType.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  if GIsProgress then
    PauseProgress(false);
end;
//

procedure TF_AutoTraceType.FormCreate(Sender: TObject);
begin
  {$IF Defined(SCS_PANDUIT)}
    cxRadioButton1.Checked := True;
  {$ELSE}
    cxRadioButton2.Checked := True;
  {$IFEND}
end;
//Tolik 27/09/2021 --
procedure TF_AutoTraceType.FormShow(Sender: TObject);
begin
  if GisProgress then
    PauseProgress(true);
end;
//

end.
